Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.classifier
Class BKM<T extends MLVector<?>>

    java.lang.Object
      fr.lip6.classifier.BKM<T>

All Implemented Interfaces:
  Classifier<T>

    public class BKM<T extends MLVector<?>>

extends java.lang.Object
implements Classifier<T>

Constructor Summary
`BKM(Kernel<T> k, int numberOfBarycenter)`

Method Summary
`T[]` | `getG()`
`double[]` | `getGY()`
`void` | `train(T[] e, int[] c)` Replace the current training and train the classifier
`void` | `train(T e, int c)` Add a single example to the current training set and train the classifier
`double` | `valueOf(T e)` Computes the category of the provided example

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BKM

    public BKM(Kernel<T> k,
               int numberOfBarycenter)

Method Detail

### train

    public void train(T e,
                      int c)

  Description copied from interface: `Classifier`
  Add a single example to the current training set and train the classifier

  Specified by:
    `train` in interface `Classifier<T extends MLVector<?>>`
  Parameters:
    `e` - example
    `c` - category of the example

### train

    public void train(T[] e,
                      int[] c)

  Description copied from interface: `Classifier`
  Replace the current training and train the classifier

  Specified by:
    `train` in interface `Classifier<T extends MLVector<?>>`
  Parameters:
    `e` - the new training set
    `c` - the array of categories associated with the examples, values in c must be -1 or 1

### valueOf

    public double valueOf(T e)

  Description copied from interface: `Classifier`
  Computes the category of the provided example

  Specified by:
    `valueOf` in interface `Classifier<T extends MLVector<?>>`
  Parameters:
    `e` - example
  Returns:
    >0. if e belongs to the category, <0. if not.

### getGY

    public double[] getGY()

### getG

    public T[] getG()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD